As I'm writing this, the latest delicious addon (2.1.106) to Firefox does not support the latest Firefox 4 version; as a consequence Firefox won't allow the addon to be installed. These instructions help fixing the problem by fooling Firefox into believing that the addon is compatible. I haven't seen any issues using it in the last couple of weeks.